// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package persona

import (
	"net/http"

	"haixun-backend/internal/logic/persona"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func ListPersonasHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := persona.NewListPersonasLogic(r.Context(), svcCtx)
		data, err := l.ListPersonas()
		response.Write(r.Context(), w, data, err)
	}
}
